<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="utf-8" />
	<title>geogram</title>
</head>

<body>

	<!-- call a Javascript function to send an XMLHttpRequest -->

	<form action="geogram.php" method="get">
		<input type="text" name="location" />
		<button type="submit">Submit</button>
	</form>
	<br/>

	<!-- make a Javascript callback to handle the request when it arrives -->

	<?php
    if(!empty($wikipedia_array)){
      foreach($wikipedia_array['sourc']){
        echo '<img src="'.$image['images']['low_resolution']['url'].'" alt=""/><br/>';
      }
    }
    ?>

</body>

<script>

	function sendStuff(str) {
		if (str.length == 0) {
			document.getElementById("txtHint").innerHTML = "";
			return;
		}
		else {
			var xmlhttp = new XMLHttpRequest();
			xmlhttp.onreadystatechange = function () {
				if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
					document.getElementById("txtHint").innerHTML = xmlhttp.responseText;
					var myObj = JSON.parse(this.responseText);
					document.getElementById("txtHint").innerHTML = xmlhttp.response;

				}
			};
			xmlhttp.open("GET", "php/geogram.php?location=" + str, true);
			xmlhttp.send();
		}
	};
	
</script>

</html>
